Skip to main content
GET
/
getPostById
cURL
curl --request GET \
  --url 'https://dev.creatordb.app/v2/getPostById?platform=youtube&postId=FaOjH7iFxYk' \
  --header 'Accept: application/json' \
  --header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W'
{
  "data": {
    "basicYoutubePost": {
      "uploadDate": 1722621878000,
      "videoId": "FaOjH7iFxYk",
      "length": 26,
      "title": "FREE Tesla Cybertruck?!? 🤯",
      "likes": 1300,
      "comments": 113,
      "selfCommentRatio": 0.05,
      "commentLikeRatio": 0,
      "commentReplyRatio": 0.05,
      "views": 38845,
      "engageRate": 0.03637533788132321,
      "category": "Gaming",
      "lang": "fra",
      "isPaidPromote": false,
      "isStreaming": false,
      "isShorts": true,
      "hashtags": [
        "#epicpartner",
        "#fortnitesummerroadtrip",
        "#fortnite"
      ]
    }
  },
  "quotaUsed": 2,
  "quotaUsedTotal": 6026,
  "remainingPlanCredit": 993974,
  "remainingPrepurchasedCredit": 0,
  "timestamp": 1755503515236,
  "error": "",
  "success": true
}

Headers

apiId
string
required
Example:

"LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W"

Query Parameters

platform
string
required

platform support youtube, instagram and tiktok

Example:

"youtube"

postId
string
required

video or post ID. FaOjH7iFxYk, B9xDeEKHoRI, 7317359216287567147

Example:

"FaOjH7iFxYk"

userId
string

user ID or channel ID. UCKLBeC1fdjPJL7t2CzdxJKA, vaustinl, yoasobi_, this is optional, if not provided, the system will try to get the user ID via postId

Example:

"UCKLBeC1fdjPJL7t2CzdxJKA"

Response

OK

data
object
quotaUsed
number

API credits that were used to make this call.

quotaUsedTotal
number

Total API credits used since the last billing cycle.

remainingPlanCredit
number

The number of remaining free API credits that come with your subscription plan. These API credits are renewed every billing cycle.

remainingPrepurchasedCredit
number

The number of remaining extra purchased API credits. These API credits do not expire until used.

timestamp
number

Unix timestamp of the call request that the server received.

error
string

Errors that occurred during the API call.

success
boolean

It is TRUE when the call is successful.

Last modified on February 25, 2026